<template>

	<view class="ercode">
		<!-- <view class="image" :show-menu-by-longpress="true" @tap="previewImage">

		</view> -->
		<image src="https://mall.zhaijieshi.cc/file/wx-huawang/kfewm.png" mode="widthFix"  :show-menu-by-longpress="true" @tap="previewImage"></image>
	</view>

</template>

<script>
	var api = require('../../config/api.js');
	var util = require('../../utils/util.js');
	var user = require('../../utils/user.js');
	var app = getApp();
	export default {
		data() {
			return {

			};
		}
		/**
		 * 生命周期函数--监听页面加载
		 */
		,
		onLoad: function(options) {},
		/**
		 * 生命周期函数--监听页面初次渲染完成
		 */
		onReady: function() {},
		/**
		 * 生命周期函数--监听页面显示
		 */
		onShow: function() {},
		/**
		 * 生命周期函数--监听页面隐藏
		 */
		onHide: function() {},
		/**
		 * 生命周期函数--监听页面卸载
		 */
		onUnload: function() {},
		/**
		 * 页面相关事件处理函数--监听用户下拉动作
		 */
		onPullDownRefresh: function() {},
		/**
		 * 页面上拉触底事件的处理函数
		 */
		onReachBottom: function() {},
		/**
		 * 用户点击右上角分享
		 */
		onShareAppMessage: function() {},
		methods: {
			previewImage(e) {
				uni.previewImage({
					// 需要预览的图片链接列表
					urls: [],
					// 为当前显示图片的链接/索引值
					current: 'https://mall.zhaijieshi.cc/file/wx-huawang/kfewm.png',
					// 图片指示器样式	
					indicator: 'default',
					// 是否可循环预览
					loop: false,
					// 长按图片显示操作菜单，如不填默认为保存相册
					// longPressActions:{
					// 	itemList:[this.l('发送给朋友'),this.l]
					// },
					success: res => {
						console.log('res', res);
					},
					fail: err => {
						console.log('err', err);
					}
				})
			}
		}
	};
</script>
<style>
	page {
		height: 100vh;
		background-color: #feebd7;
	}

	.ercode {
		width: 100vw;
		height: 100vh;
		display: flex;
		justify-content: center;
		align-items: center;
	}

	.image {
		background-image: url('https://mall.zhaijieshi.cc/file/wx-huawang/kfewm.png');
		background-size: cover;
		background-position: center;
		width: 538rpx;
		height: 942rpx;
	}
</style>